# lib/stair_master/concerns/ordering.rb
##
##
##
module StairMaster
  module Concerns
    module Ordering
      extend ActiveSupport::Concern

      included do
        helper_method :available_steps
      end

      def available_steps
        @stair_master_available_steps ||= workflow_map.order.map{ |step_name| step_name }.compact
      end
    end
  end
end