# lib/stair_master/concerns/routing.rb
##
##
module StairMaster
  module Concerns
    module Routing
      extend ActiveSupport::Concern

      included do
        helper_method :current_step_path,
                      :next_step_path,
                      :previous_step_path,
                      :first_step_path
      end

      def current_step_path(resources=[],options={})
        current_step.url_for resources, options
      end

      def next_step_path(resources=[],options={})
        next_step.url_for resources, options
      end

      def previous_step_path(resources=[],options={})
        previous_step.url_for resources, options
      end

      def first_step_path(resources=[],options={})
        first_step.url_for resources, options
      end
    end
  end
end